function y = ConvDeci(x,h)
%function y = ConvDeci(x,h)
%
% convolution y = x * h and decimation by 2
% (version to start with odd index, i.e. y(1))
% y(m) = sum_(n=max(1,2m-Lx))^min(Lh,2m-1) h(n) x(2m-n)    m = 1 ... floor((Lx+Lh-1)/2)
% with x given for indices 1 ... Lx
% y is stored in row vector of length floor((Lx+Lh-1)/2)

% G. Doblinger, TU-Wien, 7.12.97

Lh = length(h);
Lx = length(x);
Ly = floor((Lx+Lh-1)/2);

% for DSP implementation

%y = zeros(1,Ly);
%for m = 1:Ly
%   m2 = 2*m+1;
%   for n = max(1,m2-Lx):min(Lh,m2-1)
%      y(m) = y(m) + h(n)*x(m2-n);
%   end
%end

% for MATLAB (fast convolution)

y = conv(x(:).',h);
y = y(2:2:length(y));      % NOTE: start with y(2) for better HP-filtering
y = y(1:Ly);
