% use signal class objects defined in sig.m
%
% G.Doblinger, TU-Wien, 10-2009

clear;                   % needed to remove an already defined signal class
Fs = 1000;               % sampling frequency in Hz
f1 = 100;                % frequency of first sinusoid
Nx = 300;                % number of samples
n = 0:Nx-1;
x1 = sin(2*pi*f1/Fs*n);  % create 2 sinusoidal signals
f2 = 150;
x2 = sin(2*pi*f2/Fs*n);

%%

s1 = sig(x1,Fs,'sin f = 100');   % call signal class constructor
s2 = sig(x2,Fs,'sin f = 150');

s3 = s1 + s2;            % adding signal classes using overloaded +

close all;

plot(s3);                % time domain signal plot

%%

fftplot(s3);             % frequency domain signal plot


